<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\SiteController;
use App\Http\Controllers\UserController;

use Illuminate\Support\Facades\Log;

class HomeController extends Controller {
  private $objAuth;
  private $objSite;
  private $objUser;
  private $menu;

  public function __construct() {
    $this->objAuth = new AuthController();
    $this->objSite = new SiteController();
    $this->objUser = new UserController();
    $this->menu = $this->objSite->getPagesInMenu();
    //$this->middleware('auth');
  }

  public function index () {
    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = $this->objSite->getPosts2();
    return view('pages.site.index', compact(['res', 'menu', 'user']));
  }

  public function post ($slug) {
    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = $this->objSite->getPost2($slug, $cook);
    if (!$res) return view('pages.site.notfound', compact(['res', 'menu', 'user']));
    return view('pages.site.post', compact(['res', 'menu', 'user']));
  }

  public function page ($slug) {
    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = $this->objSite->getPage2($slug, $cook);
    if (!$res) return view('pages.site.notfound', compact(['res', 'menu', 'user']));
    return view('pages.site.page', compact(['res', 'menu', 'user']));
  }

  public function login (Request $r) {
    if (isset($_COOKIE['kero_token'])) return redirect('');

    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = array();
    $err = '';

    if (isset($r->username) && isset($r->password)) {
      $res = $this->objAuth->login($r);
      if (isset($res['kero_token'])) return redirect('');
      $err = $res['err'];
    }

    return view('pages.site.login', compact(['res', 'menu', 'user', 'err']));
  }

  public function register (Request $r) {
    if (isset($_COOKIE['kero_token'])) return redirect('');

    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = array();
    $err = '';

    if (isset($r->username) && isset($r->password) && isset($r->email) && isset($r->password_check)) {
      $res = $this->objAuth->register($r);
      if (isset($res['kero_token'])) return redirect('');
      $err = $res['err'];
    }

    return view('pages.site.register', compact(['res', 'menu', 'user', 'err']));
  }

  public function notfound () {
    $menu = $this->menu;
    $cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $id = $this->objAuth->checkLegit($cook);
    $user = $this->objUser->getUser2($id, $cook);
    $res = array();
    return view('pages.site.notfound', compact(['res', 'menu', 'user']));
  }
}
