<?php

// カテゴリー
Route::get('/api/rpc/board/category/getcategories', 'BoardController@getCategories');
Route::get('/api/rpc/board/category/getcategory/{id}', 'BoardController@getCategory');
Route::get('/api/rpc/board/category/getcategoryname/{id}', 'BoardController@getCategoryName');

Route::post('/api/rpc/board/category/add', 'BoardController@addCategory');
Route::post('/api/rpc/board/category/edit', 'BoardController@editCategory');
Route::post('/api/rpc/board/category/delete', 'BoardController@deleteCategory');

// フォーラム
Route::get('/api/rpc/board/forum/getforumsincategory/{cat_id}', 'BoardController@getForumsInCategory');
Route::get('/api/rpc/board/forum/getforums/{id}', 'BoardController@getForums');
Route::get('/api/rpc/board/forum/getforum/{id}', 'BoardController@getForum');
Route::get('/api/rpc/board/forum/getforumname/{id}', 'BoardController@getForumName');
Route::get('/api/rpc/board/forum/getpostcountfreeze/{id}', 'BoardController@getPostCountFreeze');
Route::get('/api/rpc/board/forum/getreadonly/{id}', 'BoardController@getReadOnly');

Route::post('/api/rpc/board/forum/add', 'BoardController@addForum');
Route::post('/api/rpc/board/forum/edit', 'BoardController@editForum');
Route::post('/api/rpc/board/forum/delete', 'BoardController@deleteForum');

// スレッド
Route::get('/api/rpc/board/topic/gettopics/{for}/{from}/{to}', 'BoardController@getTopics');
Route::get('/api/rpc/board/topic/gettopicsunpinned/{for}/{from}/{to}', 'BoardController@getTopicsUnpinned');
Route::get('/api/rpc/board/topic/gettopicspinned/{for}/{from}/{to}', 'BoardController@getTopicsPinned');
Route::get('/api/rpc/board/topic/gettopicsuser/{user}/{from}/{to}', 'BoardController@getTopicsUser');
Route::get('/api/rpc/board/topic/countunpinnedtopicsinforum/{for}', 'BoardController@countUnpinnedTopicsInForum');
Route::get('/api/rpc/board/topic/gettopic/{for}/{from}/{to}', 'BoardController@getTopic');
Route::get('/api/rpc/board/topic/gettopicpin/{id}', 'BoardController@getTopicPin');
Route::get('/api/rpc/board/topic/gettopiclock/{id}', 'BoardController@getTopicLock');
Route::get('/api/rpc/board/topic/getforumidfromtopic/{top_id}', 'BoardController@getForumIdFromTopic');
Route::get('/api/rpc/board/topic/gettopicname/{id}', 'BoardController@getTopicName');

Route::post('/api/rpc/board/topic/markall', 'BoardController@markReadAll');
Route::post('/api/rpc/board/topic/markcat', 'BoardController@markReadCat');
Route::post('/api/rpc/board/topic/mark', 'BoardController@markRead');
Route::post('/api/rpc/board/topic/read', 'BoardController@readTopic');
Route::post('/api/rpc/board/topic/add', 'BoardController@addTopic');
Route::post('/api/rpc/board/topic/lock', 'BoardController@lockTopic');
Route::post('/api/rpc/board/topic/unlock', 'BoardController@unlockTopic');
Route::post('/api/rpc/board/topic/merge', 'BoardController@mergeTopic');
Route::post('/api/rpc/board/topic/move', 'BoardController@moveTopic');
Route::post('/api/rpc/board/topic/pin', 'BoardController@pinTopic');
Route::post('/api/rpc/board/topic/unpin', 'BoardController@unpinTopic');

// 投稿
Route::get('/api/rpc/board/post/getpostsintopic/{top}/{from}/{to}', 'BoardController@getPostsInTopic');
Route::get('/api/rpc/board/post/countpostsintopic/{top}', 'BoardController@countPostsInTopic');
Route::get('/api/rpc/board/post/getpost/{id}', 'BoardController@getPost');
Route::get('/api/rpc/board/post/getsmilies', 'BoardController@getSmilies');
Route::get('/api/rpc/board/post/getforumidfrompost/{id}', 'BoardController@getForumIdFromPost');
Route::get('/api/rpc/board/post/gettopicidfrompost/{id}', 'BoardController@getTopicIdFromPost');
Route::get('/api/rpc/board/post/getcurrentpostcount/{user_id}', 'BoardController@getCurrentPostCount');
Route::get('/api/rpc/board/post/getnextpostcount/{user_id}', 'BoardController@getNextPostCount');
Route::get('/api/rpc/board/post/getuserposts/{top}/{from}/{to}', 'BoardController@getUserPosts');
Route::get('/api/rpc/board/post/getuserpost/{id}', 'BoardController@getUserPost');
Route::get('/api/rpc/board/post/gettopicstart/{top_id}', 'BoardController@getTopicStart');
Route::get('/api/rpc/board/post/getlastpost/{top_id}', 'BoardController@getLastPost');
Route::get('/api/rpc/board/post/getfirstandlastposts/{top_id}', 'BoardController@getFirstAndLastPosts');

Route::post('/api/rpc/board/post/add', 'BoardController@addPost');
Route::post('/api/rpc/board/post/edit', 'BoardController@editPost');
Route::post('/api/rpc/board/post/delete', 'BoardController@deletePost');
Route::post('/api/rpc/board/post/undelete', 'BoardController@undeletePost');
Route::post('/api/rpc/board/post/split', 'BoardController@splitPost');

// Compiled routes.
Route::get('/api/rpc/board/browse/browsecategories', 'BoardController@browseCategories');
Route::get('/api/rpc/board/browse/browseforums/{id}/{from}/{to}', 'BoardController@browseForums');
Route::get('/api/rpc/board/browse/browseforuminfo/{id}/{to}', 'BoardController@browseForumInfo');
Route::get('/api/rpc/board/browse/browsetopics{mode}/{id}/{from}/{to}', 'BoardController@browseTopics');
Route::get('/api/rpc/board/browse/browsetopicinfo/{tp}/{id}/{to}', 'BoardController@browseTopicInfo');
Route::get('/api/rpc/board/browse/browsetopicposts/{tp}/{id}/{from}/{to}', 'BoardController@browseTopicPosts');
Route::get('/api/rpc/board/browse/browsepermissions/{uid}', 'BoardController@browsePermissions');