<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

require(__DIR__.'/api/bash.php');
require(__DIR__.'/api/board.php');
require(__DIR__.'/api/image.php');
require(__DIR__.'/api/invoice.php');
require(__DIR__.'/api/nihon.php');
require(__DIR__.'/api/pack.php');
require(__DIR__.'/api/site.php');
require(__DIR__.'/api/store.php');
require(__DIR__.'/api/user.php');

// Auth
Route::post('/api/auth/checkself', 'AuthController@checkSelf');
Route::post('/api/auth/getpermissions', 'AuthController@getPerms');
Route::post('/api/auth/login', 'AuthController@login');
Route::post('/api/auth/register', 'AuthController@register');
Route::post('/api/auth/recover', 'AuthController@recover');
Route::post('/api/auth/sendreset', 'AuthController@SendReset');
Route::get('/api/auth/confirmreset/{token}', 'AuthController@ConfirmReset');
Route::post('/api/auth/passwordreset', 'AuthController@PasswordReset');
Route::post('/api/auth/checkauth', 'AuthController@checkAuth');

Route::get('/logout', 'AuthController@logout');

// Permissions
Route::get('/api/rpc/permission/getpermissionsfrommodule', 'PermissionController@getPermissionsFromModule');
Route::get('/api/rpc/permission/getpermissionfrommodule/{id}', 'PermissionController@getPermissionFromModule');
Route::get('/api/rpc/permission/getpermissions/{mdl}', 'PermissionController@getPermissions');
Route::get('/api/rpc/permission/getpermissiongroup/{mdl}/{id}', 'PermissionController@getPermissionGroup');
Route::get('/api/rpc/permission/getpermissionuser/{mdl}/{id}', 'PermissionController@getPermissionUser');

require(__DIR__.'/view/bash.php');
require(__DIR__.'/view/site.php');
